### File

`packages/ecl/components/ecl-checkbox/ecl-checkbox.directive.ts`

### Description

Directive that applies ECL styles and manages state for checkbox groups or standalone checkboxes.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit` `OnChanges`

### Metadata

Selector | `[eclCheckbox]`

### Index

###### Properties
eclCheckboxHelpComponent eclCheckboxLabelComponent eclFormLabelDirective eclHelpBlockDirective
###### Methods
getCssClasses
###### Inputs
isDisabled isInvalid isSingle class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`
Indicates whether the checkbox is disabled.

isInvalid
Type : `boolean`
Default value : `false`
Indicates whether the checkbox is in an invalid state.

isSingle
Type : `boolean`
Default value : `false`
Indicates whether the checkbox is rendered as a single (standalone) item.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies base CSS classes for the checkbox container.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclCheckboxHelpComponent
Type : `EclCheckboxHelpComponent`
Decorators : `@ContentChild(undefined)`
Child help component projected into the checkbox.

eclCheckboxLabelComponent
Type : `EclCheckboxLabelComponent`
Decorators : `@ContentChild(undefined)`
Child label component projected into the checkbox.

eclFormLabelDirective
Type : `EclFormLabelComponent`
Decorators : `@ContentChild(undefined)`
Optional form label component projected into the checkbox.

eclHelpBlockDirective
Type : `EclHelpBlockDirective`
Decorators : `@ContentChild(undefined)`
Optional help block directive projected into the checkbox.

### Accessors

cssClasses
get `cssClasses()`
Applies base CSS classes for the checkbox container. Returns : `string`

# results matching ""

# No results matching ""